Bug 97877 - [SKL] monitor is not detected unless it was active during boot
Summary: [SKL] monitor is not detected unless it was active during boot
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-20 18:57 UTC by Maarten Maathuis
Modified: 2017-07-24 22:40 UTC (History)
1 user (show)

See Also:
i915 platform: SKL
i915 features: display/HDMI


Attachments
/sys/kernel/debug/dri/0/i915_opregion (8.00 KB, application/octet-stream)
2016-10-07 06:08 UTC, Maarten Maathuis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maarten Maathuis 2016-09-20 18:57:55 UTC
I have 2 identical monitors, which have an ultrahd resolution.
On DP both work fine, on HDMI both have issues, this applies to both a native HDMI 1.4 connection on the mainbord, as well as a built-in DP->HDMI 2.0 converter. The problem occurs both on hotplug, as well on resume from S3.

The monitor is a Samsung U24E850R.
The mainbord is a Asrock Fatal1ty Z170 Gaming-ITX/ac
The distribution is arch linux
uname -a: Linux main 4.7.4-1-ARCH #1 SMP PREEMPT Thu Sep 15 15:24:29 CEST 2016 x86_64 GNU/Linux

I will add various bits and pieces of dmesg output as comments.
Comment 1 Maarten Maathuis 2016-09-20 18:58:29 UTC
Hotplug on builtin DP->HDMI 2.0 converter:

[ 1634.666165] [drm:intel_get_hpd_pins] hotplug event received, stat 0x00800000, dig 0x10121010, pins 0x00000080
[ 1634.666179] [drm:intel_hpd_irq_handler] digital hpd port D - long
[ 1634.666183] [drm:intel_hpd_irq_storm_detect] Received HPD interrupt on PIN 7 - cnt: 0
[ 1634.666229] [drm:intel_dp_hpd_pulse] got hpd irq on port D - long
[ 1634.666253] [drm:i915_hotplug_work_func] running encoder hotplug functions
[ 1634.666258] [drm:i915_hotplug_work_func] Connector DP-2 (pin 7) received hotplug event.
[ 1634.666261] [drm:intel_dp_detect] [CONNECTOR:48:DP-2]
[ 1634.666273] [drm:i915_hotplug_work_func] Connector HDMI-A-3 (pin 7) received hotplug event.
[ 1634.666284] [drm:intel_hdmi_detect] [CONNECTOR:52:HDMI-A-3]
[ 1634.769941] [drm:intel_hdmi_detect] HDMI live status down
[ 1640.748356] [drm:intel_get_hpd_pins] hotplug event received, stat 0x00800000, dig 0x10121010, pins 0x00000080
[ 1640.748369] [drm:intel_hpd_irq_handler] digital hpd port D - long
[ 1640.748373] [drm:intel_hpd_irq_storm_detect] Received HPD interrupt on PIN 7 - cnt: 0
[ 1640.748416] [drm:intel_dp_hpd_pulse] got hpd irq on port D - long
[ 1640.756938] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.765400] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.773936] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.782410] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.790910] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.799389] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.807907] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.816409] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.824895] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.833427] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.841915] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.850426] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.858919] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.867423] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.875924] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.884424] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.892899] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.901454] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.910008] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.918494] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.926994] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.935486] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.943982] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.952461] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.960971] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.969459] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.978003] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.986482] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1640.994973] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.003497] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.011986] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.020504] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.020506] [drm:drm_dp_dpcd_access] too many retries, giving up
[ 1641.020528] [drm:i915_hotplug_work_func] running encoder hotplug functions
[ 1641.020529] [drm:i915_hotplug_work_func] Connector DP-2 (pin 7) received hotplug event.
[ 1641.020530] [drm:intel_dp_detect] [CONNECTOR:48:DP-2]
[ 1641.029054] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.037563] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.046092] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.054583] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.063076] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.071567] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.080094] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.088568] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.097054] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.105565] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.114114] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.122602] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.131111] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.139599] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.148099] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.156586] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.165091] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.173599] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.182079] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.190587] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.199066] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.207558] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.216041] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.224564] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.233067] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.241576] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.250103] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.258577] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.267090] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.275617] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.284117] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.292628] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[ 1641.292630] [drm:drm_dp_dpcd_access] too many retries, giving up
[ 1641.292638] [drm:i915_hotplug_work_func] Connector HDMI-A-3 (pin 7) received hotplug event.
[ 1641.292651] [drm:intel_hdmi_detect] [CONNECTOR:52:HDMI-A-3]
[ 1641.292995] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0050 w(1)
[ 1641.292996] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK on first message, retry
[ 1641.293340] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0050 w(1)
[ 1641.293341] [drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpd
[ 1641.293695] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0040 w(1)
[ 1641.293696] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK on first message, retry
[ 1641.294016] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0040 w(1)
Comment 2 Maarten Maathuis 2016-09-20 18:59:15 UTC
hotplug on HDMI 1.4 port:

[   55.744581] [drm:intel_get_hpd_pins] hotplug event received, stat 0x00400000, dig 0x10101210, pins 0x00000040
[   55.744589] [drm:intel_hpd_irq_storm_detect] Received HPD interrupt on PIN 6 - cnt: 0
[   55.744620] [drm:i915_hotplug_work_func] running encoder hotplug functions
[   55.744625] [drm:i915_hotplug_work_func] Connector HDMI-A-2 (pin 6) received hotplug event.
[   55.744629] [drm:intel_hdmi_detect] [CONNECTOR:46:HDMI-A-2]
[   55.744915] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[   55.744922] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
[   55.745190] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0050 w(1)
[   55.745199] [drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpc
[   55.745469] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
[   55.745476] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK on first message, retry
[   55.745744] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpc] NAK for addr: 0040 w(1)
Comment 3 Maarten Maathuis 2016-09-20 19:00:38 UTC
Bootup with 2 monitors attached, one to DP, one to DP->HDMI 2.0 builtin adapter:

[    2.394379] [drm:intel_detect_pch] Found SunrisePoint PCH
[    2.394380] [drm:get_allowed_dc_mask] Allowed DC state mask 03
[    2.394768] [drm:i915_dump_device_info] i915 device info: gen=9, pciid=0x1912 rev=0x06 flags=need_gfx_hws,is_skylake,has_fbc,has_hotplug,has_llc,has_ddi,has_fpga_dbg,
[    2.394768] [drm:intel_device_info_runtime_init] slice total: 1
[    2.394769] [drm:intel_device_info_runtime_init] subslice total: 3
[    2.394769] [drm:intel_device_info_runtime_init] subslice per slice: 3
[    2.394770] [drm:intel_device_info_runtime_init] EU total: 24
[    2.394770] [drm:intel_device_info_runtime_init] EU per subslice: 8
[    2.394770] [drm:intel_device_info_runtime_init] has slice power gating: n
[    2.394771] [drm:intel_device_info_runtime_init] has subslice power gating: n
[    2.394771] [drm:intel_device_info_runtime_init] has EU power gating: y
[    2.394815] [drm:i915_gem_init_stolen] Memory reserved for graphics device: 262144K, usable: 261120K
[    2.394815] [drm] Memory usable by graphics device = 4096M
[    2.394816] [drm:i915_ggtt_init_hw] GMADR size = 256M
[    2.394816] [drm:i915_ggtt_init_hw] GTT stolen size = 256M
[    2.394817] [drm:i915_ggtt_init_hw] ppgtt mode: 3
[    2.394818] checking generic (c0000000 1fb0000) vs hw (c0000000 10000000)
[    2.394818] fb: switching to inteldrmfb from EFI VGA
[    2.403811] Console: switching to colour dummy device 80x25
[    2.403875] [drm] Replacing VGA console driver
[    2.404199] [drm:intel_opregion_setup] graphic opregion physical addr: 0x77f83018
[    2.404207] [drm:intel_opregion_setup] Public ACPI methods supported
[    2.404208] [drm:intel_opregion_setup] SWSCI supported
[    2.409161] [drm:swsci_setup] SWSCI GBDA callbacks 00000cb3, SBCB callbacks 00300483
[    2.409163] [drm:intel_opregion_setup] ASLE supported
[    2.409164] [drm:intel_opregion_setup] ASLE extension supported
[    2.409165] [drm:intel_opregion_setup] Found valid VBT in ACPI OpRegion (Mailbox #4)
[    2.409230] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    2.409231] [drm] Driver supports precise vblank timestamp query.
[    2.409233] [drm:init_vbt_defaults] Set default to SSC at 120000 kHz
[    2.409234] [drm:intel_bios_init] VBT signature "$VBT SKYLAKE        ", BDB version 205
[    2.409236] [drm:parse_general_features] BDB_GENERAL_FEATURES int_tv_support 0 int_crt_support 0 lvds_use_ssc 0 lvds_ssc_freq 120000 display_clock_mode 1 fdi_rx_polarity_inverted 0
[    2.409237] [drm:parse_general_definitions] crt_ddc_bus_pin: 2
[    2.411255] [drm:intel_opregion_get_panel_type] Ignoring OpRegion panel type (0)
[    2.411257] [drm:parse_lfp_panel_data] Panel type: 2 (VBT)
[    2.411258] [drm:parse_lfp_panel_data] DRRS supported mode is static
[    2.411260] [drm:parse_lfp_panel_data] Found panel mode in BIOS VBT tables:
[    2.411262] [drm:drm_mode_debug_printmodeline] Modeline 0:"1024x768" 0 65000 1024 1048 1184 1344 768 771 777 806 0x8 0xa
[    2.411263] [drm:parse_lfp_panel_data] VBT initial LVDS value 300
[    2.411264] [drm:parse_lfp_backlight] VBT backlight PWM modulation frequency 200 Hz, active high, min brightness 0, level 255
[    2.411265] [drm:parse_sdvo_device_mapping] Unsupported child device size for SDVO mapping.
[    2.411266] [drm:parse_device_mapping] Expected child device config size for VBT version 205 not known; assuming 38
[    2.411267] [drm:parse_driver_features] DRRS State Enabled:1
[    2.411268] [drm:parse_ddi_port] Port B VBT info: DP:1 HDMI:1 DVI:1 EDP:0 CRT:0
[    2.411269] [drm:parse_ddi_port] VBT HDMI level shift for port B: 8
[    2.411270] [drm:parse_ddi_port] Port C VBT info: DP:0 HDMI:1 DVI:1 EDP:0 CRT:0
[    2.411271] [drm:parse_ddi_port] Unexpected DDC pin for port D
[    2.411272] [drm:parse_ddi_port] VBT HDMI level shift for port C: 8
[    2.411273] [drm:parse_ddi_port] Port D VBT info: DP:1 HDMI:1 DVI:1 EDP:0 CRT:0
[    2.411273] [drm:parse_ddi_port] Unexpected DDC pin for port C
[    2.411274] [drm:parse_ddi_port] VBT HDMI level shift for port D: 8
[    2.411294] [drm:intel_dsm_pci_probe] no _DSM method for intel device
[    2.411297] [drm:gen9_set_dc_state] Setting DC state from 00 to 00
[    2.411300] [drm:intel_power_well_enable] enabling power well 1
[    2.411302] [drm:intel_power_well_enable] enabling MISC IO power well
[    2.411315] [drm:intel_power_well_enable] enabling always-on
[    2.411316] [drm:intel_power_well_enable] enabling DC off
[    2.411319] [drm:gen9_set_dc_state] Setting DC state from 00 to 00
[    2.411326] [drm:intel_power_well_enable] enabling power well 2
[    2.411327] [drm:intel_power_well_enable] enabling DDI A/E power well
[    2.411329] [drm:skl_set_power_well] Enabling DDI A/E power well
[    2.411329] [drm:intel_power_well_enable] enabling DDI B power well
[    2.411331] [drm:intel_power_well_enable] enabling DDI C power well
[    2.411332] [drm:skl_set_power_well] Enabling DDI C power well
[    2.411333] [drm:intel_power_well_enable] enabling DDI D power well
[    2.411335] [drm:gen9_set_dc_state] Setting DC state from 00 to 00
[    2.411344] [drm:intel_csr_ucode_init] Loading i915/skl_dmc_ver1.bin
[    2.413712] [drm] Finished loading i915/skl_dmc_ver1.bin (v1.26)
[    2.415889] [drm:intel_print_wm_latency] Gen9 Plane WM0 latency 2 (2.0 usec)
[    2.415890] [drm:intel_print_wm_latency] Gen9 Plane WM1 latency 19 (19.0 usec)
[    2.415891] [drm:intel_print_wm_latency] Gen9 Plane WM2 latency 28 (28.0 usec)
[    2.415892] [drm:intel_print_wm_latency] Gen9 Plane WM3 latency 32 (32.0 usec)
[    2.415893] [drm:intel_print_wm_latency] Gen9 Plane WM4 latency 63 (63.0 usec)
[    2.415894] [drm:intel_print_wm_latency] Gen9 Plane WM5 latency 77 (77.0 usec)
[    2.415895] [drm:intel_print_wm_latency] Gen9 Plane WM6 latency 83 (83.0 usec)
[    2.415897] [drm:intel_print_wm_latency] Gen9 Plane WM7 latency 99 (99.0 usec)
[    2.415900] [drm:intel_modeset_init] 3 display pipes available.
[    2.415921] [drm:intel_update_rawclk] rawclk rate: 24000 kHz
[    2.415935] [drm:intel_update_cdclk] Current CD clock rate: 675000 kHz
[    2.415939] [drm:intel_update_max_cdclk] Max CD clock rate: 675000 kHz
[    2.415940] [drm:intel_update_max_cdclk] Max dotclock rate: 675000 kHz
[    2.415977] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    2.416310] [drm:intel_dp_init_connector] Adding eDP connector on port A
[    2.416398] [drm:intel_dp_init_panel_power_sequencer] cur t1_t3 0 t8 0 t9 0 t10 0 t11_t12 0
[    2.416399] [drm:intel_dp_init_panel_power_sequencer] vbt t1_t3 2000 t8 10 t9 2000 t10 500 t11_t12 5000
[    2.416400] [drm:intel_dp_init_panel_power_sequencer] panel power up delay 200, power down delay 50, power cycle delay 500
[    2.416401] [drm:intel_dp_init_panel_power_sequencer] backlight on delay 1, off delay 200
[    2.416402] [drm:intel_dp_aux_init] registering DPDDC-A bus for card0-eDP-1
[    2.416496] [drm:intel_edp_panel_vdd_sanitize] VDD left on by BIOS, adjusting state tracking
[    2.424974] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.433480] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.442022] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.450628] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.459229] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.467832] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.476375] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.484849] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.493334] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.501889] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.510482] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.519016] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.527654] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.536234] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.544787] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.553353] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.561891] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.570460] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.578981] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.587599] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.596123] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.604671] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.613212] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.621698] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.630166] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.638676] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.647153] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.655644] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.664235] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.672720] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.681191] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.689702] [drm:intel_dp_aux_ch] dp_aux_ch timeout status 0x7d40001f
[    2.689706] [drm:drm_dp_dpcd_access] too many retries, giving up
[    2.689712] [drm] failed to retrieve link info, disabling eDP
[    2.690015] [drm:edp_panel_vdd_off_sync] Turning eDP port A VDD off
[    2.690079] [drm:edp_panel_vdd_off_sync] PP_STATUS: 0x00000000 PP_CONTROL: 0xabcd0000
[    2.690125] [drm:intel_dp_init_connector] Adding DP connector on port B
[    2.690146] [drm:intel_dp_aux_init] registering DPDDC-B bus for card0-DP-1
[    2.690300] [drm:intel_hdmi_init_connector] Adding HDMI connector on port B
[    2.690329] [drm:intel_hdmi_init_connector] Adding HDMI connector on port C
[    2.690360] [drm:intel_dp_init_connector] Adding DP connector on port D
[    2.690373] [drm:intel_dp_aux_init] registering DPDDC-D bus for card0-DP-2
[    2.690522] [drm:intel_hdmi_init_connector] Adding HDMI connector on port D
[    2.690546] [drm:intel_modeset_readout_hw_state] [CRTC:26] hw state readout: enabled
[    2.690552] [drm:intel_modeset_readout_hw_state] [CRTC:30] hw state readout: enabled
[    2.690555] [drm:intel_modeset_readout_hw_state] [CRTC:34] hw state readout: disabled
[    2.690563] [drm:intel_modeset_readout_hw_state] DPLL 0 hw state readout: crtc_mask 0x00000000, on 1
[    2.690567] [drm:intel_modeset_readout_hw_state] DPLL 1 hw state readout: crtc_mask 0x00000001, on 1
[    2.690571] [drm:intel_modeset_readout_hw_state] DPLL 2 hw state readout: crtc_mask 0x00000000, on 0
[    2.690580] [drm:intel_modeset_readout_hw_state] DPLL 3 hw state readout: crtc_mask 0x00000002, on 1
[    2.690587] [drm:intel_modeset_readout_hw_state] [ENCODER:36:TMDS-36] hw state readout: enabled, pipe A
[    2.690588] [drm:intel_modeset_readout_hw_state] [ENCODER:38:DP MST-38] hw state readout: disabled, pipe A
[    2.690588] [drm:intel_modeset_readout_hw_state] [ENCODER:39:DP MST-39] hw state readout: disabled, pipe B
[    2.690589] [drm:intel_modeset_readout_hw_state] [ENCODER:40:DP MST-40] hw state readout: disabled, pipe C
[    2.690590] [drm:intel_modeset_readout_hw_state] [ENCODER:45:TMDS-45] hw state readout: disabled, pipe A
[    2.690593] [drm:intel_modeset_readout_hw_state] [ENCODER:47:TMDS-47] hw state readout: enabled, pipe B
[    2.690593] [drm:intel_modeset_readout_hw_state] [ENCODER:49:DP MST-49] hw state readout: disabled, pipe A
[    2.690594] [drm:intel_modeset_readout_hw_state] [ENCODER:50:DP MST-50] hw state readout: disabled, pipe B
[    2.690595] [drm:intel_modeset_readout_hw_state] [ENCODER:51:DP MST-51] hw state readout: disabled, pipe C
[    2.690596] [drm:intel_modeset_readout_hw_state] [CONNECTOR:37:DP-1] hw state readout: enabled
[    2.690605] [drm:intel_modeset_readout_hw_state] [CONNECTOR:43:HDMI-A-1] hw state readout: disabled
[    2.690610] [drm:intel_modeset_readout_hw_state] [CONNECTOR:46:HDMI-A-2] hw state readout: disabled
[    2.690623] [drm:intel_modeset_readout_hw_state] [CONNECTOR:48:DP-2] hw state readout: enabled
[    2.690625] [drm:intel_modeset_readout_hw_state] [CONNECTOR:52:HDMI-A-3] hw state readout: disabled
[    2.690643] [drm:intel_dump_pipe_config] [CRTC:26][setup_hw_state] config ffff88046214b800 for pipe A
[    2.690644] [drm:intel_dump_pipe_config] cpu_transcoder: A
[    2.690644] [drm:intel_dump_pipe_config] pipe bpp: 24, dithering: 0
[    2.690645] [drm:intel_dump_pipe_config] fdi/pch: 0, lanes: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
[    2.690646] [drm:intel_dump_pipe_config] dp: 1, lanes: 4, gmch_m: 6212812, gmch_n: 8388608, link_m: 517734, link_n: 524288, tu: 64
[    2.690647] [drm:intel_dump_pipe_config] dp: 1, lanes: 4, gmch_m2: 0, gmch_n2: 0, link_m2: 0, link_n2: 0, tu2: 0
[    2.690648] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[    2.690648] [drm:intel_dump_pipe_config] requested mode:
[    2.690649] [drm:drm_mode_debug_printmodeline] Modeline 0:"3840x2160" 60 533249 3840 3888 3920 4000 2160 2163 2168 2222 0x40 0x9
[    2.690650] [drm:intel_dump_pipe_config] adjusted mode:
[    2.690651] [drm:drm_mode_debug_printmodeline] Modeline 0:"3840x2160" 60 533249 3840 3888 3920 4000 2160 2163 2168 2222 0x40 0x9
[    2.690652] [drm:intel_dump_crtc_timings] crtc timings: 533249 3840 3888 3920 4000 2160 2163 2168 2222, type: 0x40 flags: 0x9
[    2.690653] [drm:intel_dump_pipe_config] port clock: 540000
[    2.690654] [drm:intel_dump_pipe_config] pipe src size: 3840x2160
[    2.690654] [drm:intel_dump_pipe_config] num_scalers: 2, scaler_users: 0x80000000, scaler_id: 0
[    2.690655] [drm:intel_dump_pipe_config] gmch pfit: control: 0x00000000, ratios: 0x00000000, lvds border: 0x00000000
[    2.690656] [drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x0f000870, enabled
[    2.690656] [drm:intel_dump_pipe_config] ips: 0
[    2.690657] [drm:intel_dump_pipe_config] double wide: 0
[    2.690657] [drm:intel_dump_pipe_config] ddi_pll_sel: 1; dpll_hw_state: ctrl1: 0x1, cfgcr1: 0x0, cfgcr2: 0x0
[    2.690658] [drm:intel_dump_pipe_config] planes on this crtc
[    2.690659] [drm:intel_dump_pipe_config] STANDARD PLANE:23 plane: 0.0 idx: 0 disabled, scaler_id = -1
[    2.690660] [drm:intel_dump_pipe_config] CURSOR PLANE:25 plane: 0.1 idx: 1 disabled, scaler_id = -1
[    2.690660] [drm:intel_dump_pipe_config] STANDARD PLANE:27 plane: 0.1 idx: 2 disabled, scaler_id = -1
[    2.690694] [drm:intel_dump_pipe_config] [CRTC:30][setup_hw_state] config ffff88046214c800 for pipe B
[    2.690694] [drm:intel_dump_pipe_config] cpu_transcoder: B
[    2.690695] [drm:intel_dump_pipe_config] pipe bpp: 24, dithering: 0
[    2.690696] [drm:intel_dump_pipe_config] fdi/pch: 0, lanes: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
[    2.690696] [drm:intel_dump_pipe_config] dp: 1, lanes: 4, gmch_m: 6920601, gmch_n: 8388608, link_m: 576716, link_n: 524288, tu: 64
[    2.690697] [drm:intel_dump_pipe_config] dp: 1, lanes: 4, gmch_m2: 0, gmch_n2: 0, link_m2: 0, link_n2: 0, tu2: 0
[    2.690698] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[    2.690698] [drm:intel_dump_pipe_config] requested mode:
[    2.690699] [drm:drm_mode_debug_printmodeline] Modeline 0:"3840x2160" 60 593999 3840 4016 4104 4400 2160 2168 2178 2250 0x40 0x5
[    2.690700] [drm:intel_dump_pipe_config] adjusted mode:
[    2.690701] [drm:drm_mode_debug_printmodeline] Modeline 0:"3840x2160" 60 593999 3840 4016 4104 4400 2160 2168 2178 2250 0x40 0x5
[    2.690702] [drm:intel_dump_crtc_timings] crtc timings: 593999 3840 4016 4104 4400 2160 2168 2178 2250, type: 0x40 flags: 0x5
[    2.690702] [drm:intel_dump_pipe_config] port clock: 540000
[    2.690703] [drm:intel_dump_pipe_config] pipe src size: 3840x2160
[    2.690703] [drm:intel_dump_pipe_config] num_scalers: 2, scaler_users: 0x80000000, scaler_id: 0
[    2.690704] [drm:intel_dump_pipe_config] gmch pfit: control: 0x00000000, ratios: 0x00000000, lvds border: 0x00000000
[    2.690705] [drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x0f000870, enabled
[    2.690705] [drm:intel_dump_pipe_config] ips: 0
[    2.690706] [drm:intel_dump_pipe_config] double wide: 0
[    2.690706] [drm:intel_dump_pipe_config] ddi_pll_sel: 3; dpll_hw_state: ctrl1: 0x1, cfgcr1: 0x0, cfgcr2: 0x0
[    2.690707] [drm:intel_dump_pipe_config] planes on this crtc
[    2.690708] [drm:intel_dump_pipe_config] STANDARD PLANE:28 plane: 1.0 idx: 3 disabled, scaler_id = -1
[    2.690708] [drm:intel_dump_pipe_config] CURSOR PLANE:29 plane: 1.2 idx: 4 disabled, scaler_id = -1
[    2.690709] [drm:intel_dump_pipe_config] STANDARD PLANE:31 plane: 1.1 idx: 5 disabled, scaler_id = -1
[    2.690716] [drm:intel_dump_pipe_config] [CRTC:34][setup_hw_state] config ffff88046214d800 for pipe C
[    2.690717] [drm:intel_dump_pipe_config] cpu_transcoder: C
[    2.690718] [drm:intel_dump_pipe_config] pipe bpp: 0, dithering: 0
[    2.690718] [drm:intel_dump_pipe_config] fdi/pch: 0, lanes: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
[    2.690719] [drm:intel_dump_pipe_config] dp: 0, lanes: 0, gmch_m: 0, gmch_n: 0, link_m: 0, link_n: 0, tu: 0
[    2.690720] [drm:intel_dump_pipe_config] dp: 0, lanes: 0, gmch_m2: 0, gmch_n2: 0, link_m2: 0, link_n2: 0, tu2: 0
[    2.690720] [drm:intel_dump_pipe_config] audio: 0, infoframes: 0
[    2.690721] [drm:intel_dump_pipe_config] requested mode:
[    2.690722] [drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[    2.690722] [drm:intel_dump_pipe_config] adjusted mode:
[    2.690723] [drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[    2.690724] [drm:intel_dump_crtc_timings] crtc timings: 0 0 0 0 0 0 0 0 0, type: 0x0 flags: 0x0
[    2.690725] [drm:intel_dump_pipe_config] port clock: 0
[    2.690725] [drm:intel_dump_pipe_config] pipe src size: 0x0
[    2.690726] [drm:intel_dump_pipe_config] num_scalers: 1, scaler_users: 0x0, scaler_id: 0
[    2.690727] [drm:intel_dump_pipe_config] gmch pfit: control: 0x00000000, ratios: 0x00000000, lvds border: 0x00000000
[    2.690727] [drm:intel_dump_pipe_config] pch pfit: pos: 0x00000000, size: 0x00000000, disabled
[    2.690728] [drm:intel_dump_pipe_config] ips: 0
[    2.690728] [drm:intel_dump_pipe_config] double wide: 0
[    2.690729] [drm:intel_dump_pipe_config] ddi_pll_sel: 0; dpll_hw_state: ctrl1: 0x0, cfgcr1: 0x0, cfgcr2: 0x0
[    2.690730] [drm:intel_dump_pipe_config] planes on this crtc
[    2.690730] [drm:intel_dump_pipe_config] STANDARD PLANE:32 plane: 2.0 idx: 6 disabled, scaler_id = -1
[    2.690731] [drm:intel_dump_pipe_config] CURSOR PLANE:33 plane: 2.3 idx: 7 disabled, scaler_id = -1
[    2.690732] [drm:intel_dump_pipe_config] STANDARD PLANE:35 plane: 2.1 idx: 8 disabled, scaler_id = -1
[    2.690732] [drm:intel_modeset_setup_hw_state] DPLL 0 enabled but not in use, disabling
[    2.690754] [drm:intel_power_well_disable] disabling DDI C power well
[    2.690755] [drm:skl_set_power_well] Disabling DDI C power well
[    2.690757] [drm:intel_power_well_disable] disabling DDI A/E power well
[    2.690758] [drm:skl_set_power_well] Disabling DDI A/E power well
[    2.690761] [drm:skylake_get_initial_plane_config] pipe A with fb: size=3840x2160@32, offset=0, pitch 15360, size 0x1fa4000
[    2.690762] [drm:i915_gem_object_create_stolen_for_preallocated] creating preallocated stolen object: stolen_offset=0, gtt_offset=0, size=1fa4000
[    2.690764] [drm:i915_pages_create_for_stolen] offset=0x0, size=33177600
[    2.690766] [drm:intel_alloc_initial_plane_obj] initial plane fb obj ffff8804586c8000
[    2.690777] [drm:skylake_get_initial_plane_config] pipe B with fb: size=3840x2160@32, offset=0, pitch 15360, size 0x1fa4000
[    2.690778] [drm:i915_gem_object_create_stolen_for_preallocated] creating preallocated stolen object: stolen_offset=0, gtt_offset=0, size=1fa4000
[    2.690778] [drm:i915_gem_object_create_stolen_for_preallocated] failed to allocate stolen space
[    2.691105] [drm:i915_gem_setup_global_gtt] reserving preallocated space: 0 + 1fa4000
[    2.691126] [drm:i915_gem_setup_global_gtt] clearing unused GTT space: [1fa4000, fffff000]
[    2.692205] [drm:i915_gem_context_init] LR context support initialized
[    2.692211] [drm:intel_init_pipe_control] render ring pipe control offset: 0x01fa4000
[    2.692263] [drm:gen8_init_common_ring] Execlists enabled for render ring
[    2.692334] [drm:gen8_init_common_ring] Execlists enabled for blitter ring
[    2.692464] [drm:gen8_init_common_ring] Execlists enabled for bsd ring
[    2.692501] [drm:gen8_init_common_ring] Execlists enabled for video enhancement ring
[    2.692710] [drm:intel_update_cdclk] Current CD clock rate: 675000 kHz
[    2.692826] [drm:intel_fbdev_init_bios] found possible fb from plane A
[    2.692827] [drm:intel_fbdev_init_bios] pipe C not active or no fb, skipping
[    2.692827] [drm:intel_fbdev_init_bios] checking plane A for BIOS fb
[    2.692828] [drm:intel_fbdev_init_bios] pipe A area: 3840x2160, bpp: 32, size: 33177600
[    2.692829] [drm:intel_fbdev_init_bios] fb big enough for plane A (33177600 >= 33177600)
[    2.692829] [drm:intel_fbdev_init_bios] checking plane B for BIOS fb
[    2.692830] [drm:intel_fbdev_init_bios] pipe B area: 3840x2160, bpp: 32, size: 33177600
[    2.692831] [drm:intel_fbdev_init_bios] fb big enough for plane B (33177600 >= 33177600)
[    2.692831] [drm:intel_fbdev_init_bios] pipe C not active, skipping
[    2.692832] [drm:intel_fbdev_init_bios] using BIOS fb for initial console
[    2.693076] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:37:DP-1]
[    2.693077] [drm:intel_dp_detect] [CONNECTOR:37:DP-1]
[    2.693567] [drm:intel_dp_get_dpcd] DPCD: 12 14 c4 01 01 00 01 80 02 02 06 00 00 00 00
[    2.693947] [drm:intel_dp_get_dpcd] Display Port TPS3 support: source yes, sink yes
[    2.693980] [drm:intel_dp_print_rates] source rates: 162000, 216000, 270000, 324000, 432000, 540000
[    2.693981] [drm:intel_dp_print_rates] sink rates: 162000, 270000, 540000
[    2.693982] [drm:intel_dp_print_rates] common rates: 162000, 270000, 540000
[    2.694074] [drm:intel_didl_outputs] More than 15 outputs detected via ACPI
[    2.694417] [drm:intel_dp_probe_oui] Sink OUI: 000000
[    2.694835] [drm:intel_dp_probe_oui] Branch OUI: 000000
[    2.695208] [drm:intel_dp_probe_mst] Sink is not MST capable
[    2.697987] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    2.698447] acpi device:0f: registered as cooling_device9
[    2.698501] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input7
[    2.702251] [drm:drm_detect_monitor_audio] Monitor has basic audio support
[    2.702950] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:37:DP-1] status updated from unknown to connected
[    2.703076] [drm:drm_edid_to_eld] ELD monitor U24E850
[    2.703077] [drm:drm_edid_to_eld] ELD size 32, SAD count 1
[    2.703096] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:37:DP-1] probed modes :
[    2.703098] [drm:drm_mode_debug_printmodeline] Modeline 57:"3840x2160" 60 533250 3840 3888 3920 4000 2160 2163 2168 2222 0x48 0x9
[    2.703099] [drm:drm_mode_debug_printmodeline] Modeline 59:"2560x1440" 60 241500 2560 2608 2640 2720 1440 1443 1448 1481 0x40 0x9
[    2.703100] [drm:drm_mode_debug_printmodeline] Modeline 58:"1920x1080" 60 148500 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0x5
[    2.703101] [drm:drm_mode_debug_printmodeline] Modeline 71:"1920x1080" 60 148352 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0x5
[    2.703102] [drm:drm_mode_debug_printmodeline] Modeline 64:"1680x1050" 60 146250 1680 1784 1960 2240 1050 1053 1059 1089 0x40 0x6
[    2.703103] [drm:drm_mode_debug_printmodeline] Modeline 63:"1600x900" 60 108000 1600 1624 1704 1800 900 901 904 1000 0x40 0x5
[    2.703104] [drm:drm_mode_debug_printmodeline] Modeline 62:"1280x1024" 60 108000 1280 1328 1440 1688 1024 1025 1028 1066 0x40 0x5
[    2.703105] [drm:drm_mode_debug_printmodeline] Modeline 65:"1440x900" 60 106500 1440 1520 1672 1904 900 903 909 934 0x40 0x6
[    2.703106] [drm:drm_mode_debug_printmodeline] Modeline 60:"1280x800" 60 83500 1280 1352 1480 1680 800 803 809 831 0x40 0x6
[    2.703107] [drm:drm_mode_debug_printmodeline] Modeline 61:"1280x720" 60 74250 1280 1390 1430 1650 720 725 730 750 0x40 0x5
[    2.703108] [drm:drm_mode_debug_printmodeline] Modeline 72:"1280x720" 60 74176 1280 1390 1430 1650 720 725 730 750 0x40 0x5
[    2.703109] [drm:drm_mode_debug_printmodeline] Modeline 69:"1024x768" 60 65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa
[    2.703110] [drm:drm_mode_debug_printmodeline] Modeline 66:"800x600" 60 40000 800 840 968 1056 600 601 605 628 0x40 0x5
[    2.703111] [drm:drm_mode_debug_printmodeline] Modeline 67:"800x600" 56 36000 800 824 896 1024 600 601 603 625 0x40 0x5
[    2.703112] [drm:drm_mode_debug_printmodeline] Modeline 73:"640x480" 60 25200 640 656 752 800 480 490 492 525 0x40 0xa
[    2.703113] [drm:drm_mode_debug_printmodeline] Modeline 68:"640x480" 60 25175 640 656 752 800 480 490 492 525 0x40 0xa
[    2.703114] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:43:HDMI-A-1]
[    2.703115] [drm:intel_hdmi_detect] [CONNECTOR:43:HDMI-A-1]
[    2.703387] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpb] NAK for addr: 0050 w(1)
[    2.703388] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpb] NAK on first message, retry
[    2.703638] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpb] NAK for addr: 0050 w(1)
[    2.703639] [drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpb
[    2.703875] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpb] NAK for addr: 0040 w(1)
[    2.703876] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpb] NAK on first message, retry
[    2.704117] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpb] NAK for addr: 0040 w(1)
[    2.704118] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:43:HDMI-A-1] status updated from unknown to disconnected
[    2.704121] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:43:HDMI-A-1] disconnected
[    2.704122] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:46:HDMI-A-2]
[    2.704123] [drm:intel_hdmi_detect] [CONNECTOR:46:HDMI-A-2]
[    2.712535] usb 1-14: new full-speed USB device number 6 using xhci_hcd
[    2.809184] [drm:intel_hdmi_detect] HDMI live status down
[    2.809194] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:46:HDMI-A-2] status updated from unknown to disconnected
[    2.809198] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:46:HDMI-A-2] disconnected
[    2.809203] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:48:DP-2]
[    2.809206] [drm:intel_dp_detect] [CONNECTOR:48:DP-2]
[    2.809739] [drm:intel_dp_get_dpcd] DPCD: 12 14 c4 01 01 15 00 01 00 00 04 00 0f 00 00
[    2.810081] [drm:intel_dp_get_dpcd] Display Port TPS3 support: source yes, sink yes
[    2.810088] [drm:intel_dp_print_rates] source rates: 162000, 216000, 270000, 324000, 432000, 540000
[    2.810092] [drm:intel_dp_print_rates] sink rates: 162000, 270000, 540000
[    2.810097] [drm:intel_dp_print_rates] common rates: 162000, 270000, 540000
[    2.810861] [drm:intel_dp_probe_mst] Sink is not MST capable
[    2.811340] [drm:drm_dp_i2c_do_msg] native defer
[    2.812662] [drm:drm_dp_i2c_do_msg] native defer
[    2.814067] [drm:drm_dp_i2c_do_msg] native defer
[    2.815373] [drm:drm_dp_i2c_do_msg] native defer
[    2.816705] [drm:drm_dp_i2c_do_msg] native defer
[    2.818004] [drm:drm_dp_i2c_do_msg] native defer
[    2.819315] [drm:drm_dp_i2c_do_msg] native defer
[    2.820694] [drm:drm_dp_i2c_do_msg] native defer
[    2.822000] [drm:drm_dp_i2c_do_msg] native defer
[    2.823469] [drm:drm_dp_i2c_do_msg] native defer
[    2.824897] [drm:drm_dp_i2c_do_msg] native defer
[    2.826482] [drm:drm_dp_i2c_do_msg] native defer
[    2.827855] [drm:drm_dp_i2c_do_msg] native defer
[    2.829268] [drm:drm_dp_i2c_do_msg] native defer
[    2.830674] [drm:drm_dp_i2c_do_msg] native defer
[    2.832111] [drm:drm_dp_i2c_do_msg] native defer
[    2.833554] [drm:drm_dp_i2c_do_msg] native defer
[    2.834845] [drm:drm_dp_i2c_do_msg] native defer
[    2.836256] [drm:drm_dp_i2c_do_msg] native defer
[    2.837593] [drm:drm_dp_i2c_do_msg] native defer
[    2.838879] [drm:drm_dp_i2c_do_msg] native defer
[    2.840330] [drm:drm_dp_i2c_do_msg] native defer
[    2.841763] [drm:drm_dp_i2c_do_msg] native defer
[    2.843260] [drm:drm_dp_i2c_do_msg] native defer
[    2.844678] [drm:drm_dp_i2c_do_msg] native defer
[    2.846129] [drm:drm_dp_i2c_do_msg] native defer
[    2.847533] [drm:drm_dp_i2c_do_msg] native defer
[    2.848961] [drm:drm_dp_i2c_do_msg] native defer
[    2.850356] [drm:drm_dp_i2c_do_msg] native defer
[    2.851268] [drm:drm_detect_monitor_audio] Monitor has basic audio support
[    2.851818] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:48:DP-2] status updated from unknown to connected
[    2.852003] [drm:drm_edid_to_eld] ELD monitor U24E850
[    2.852009] [drm:parse_hdmi_vsdb] HDMI: DVI dual 0, max TMDS clock 300, latency present 0 0, video latency 16 1, audio latency 96 2
[    2.852012] [drm:drm_edid_to_eld] ELD size 32, SAD count 1
[    2.852103] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:48:DP-2] probed modes :
[    2.852110] [drm:drm_mode_debug_printmodeline] Modeline 74:"3840x2160" 60 594000 3840 4016 4104 4400 2160 2168 2178 2250 0x48 0x5
[    2.852115] [drm:drm_mode_debug_printmodeline] Modeline 108:"3840x2160" 30 297000 3840 4016 4104 4400 2160 2168 2178 2250 0x40 0x5
[    2.852120] [drm:drm_mode_debug_printmodeline] Modeline 119:"3840x2160" 30 296703 3840 4016 4104 4400 2160 2168 2178 2250 0x40 0x5
[    2.852125] [drm:drm_mode_debug_printmodeline] Modeline 109:"3840x2160" 25 297000 3840 4896 4984 5280 2160 2168 2178 2250 0x40 0x5
[    2.852130] [drm:drm_mode_debug_printmodeline] Modeline 110:"3840x2160" 24 297000 3840 5116 5204 5500 2160 2168 2178 2250 0x40 0x5
[    2.852135] [drm:drm_mode_debug_printmodeline] Modeline 120:"3840x2160" 24 296703 3840 5116 5204 5500 2160 2168 2178 2250 0x40 0x5
[    2.852139] [drm:drm_mode_debug_printmodeline] Modeline 78:"2560x1440" 60 241500 2560 2608 2640 2720 1440 1443 1448 1481 0x40 0x9
[    2.852144] [drm:drm_mode_debug_printmodeline] Modeline 75:"1920x1080" 60 148500 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0x5
[    2.852149] [drm:drm_mode_debug_printmodeline] Modeline 111:"1920x1080" 60 148352 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0x5
[    2.852154] [drm:drm_mode_debug_printmodeline] Modeline 76:"1920x1080" 50 148500 1920 2448 2492 2640 1080 1084 1089 1125 0x40 0x5
[    2.852159] [drm:drm_mode_debug_printmodeline] Modeline 105:"1920x1080" 30 74250 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0x5
[    2.852164] [drm:drm_mode_debug_printmodeline] Modeline 117:"1920x1080" 30 74176 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0x5
[    2.852168] [drm:drm_mode_debug_printmodeline] Modeline 104:"1920x1080" 24 74250 1920 2558 2602 2750 1080 1084 1089 1125 0x40 0x5
[    2.852173] [drm:drm_mode_debug_printmodeline] Modeline 116:"1920x1080" 24 74176 1920 2558 2602 2750 1080 1084 1089 1125 0x40 0x5
[    2.852178] [drm:drm_mode_debug_printmodeline] Modeline 84:"1680x1050" 60 119000 1680 1728 1760 1840 1050 1053 1059 1080 0x40 0x9
[    2.852183] [drm:drm_mode_debug_printmodeline] Modeline 83:"1600x900" 60 108000 1600 1624 1704 1800 900 901 904 1000 0x40 0x5
[    2.852188] [drm:drm_mode_debug_printmodeline] Modeline 92:"1280x1024" 75 135000 1280 1296 1440 1688 1024 1025 1028 1066 0x40 0x5
[    2.852193] [drm:drm_mode_debug_printmodeline] Modeline 81:"1280x1024" 60 108000 1280 1328 1440 1688 1024 1025 1028 1066 0x40 0x5
[    2.852197] [drm:drm_mode_debug_printmodeline] Modeline 82:"1440x900" 60 88750 1440 1488 1520 1600 900 903 909 926 0x40 0x9
[    2.852202] [drm:drm_mode_debug_printmodeline] Modeline 80:"1280x800" 60 71000 1280 1328 1360 1440 800 803 809 823 0x40 0x9
[    2.852207] [drm:drm_mode_debug_printmodeline] Modeline 79:"1152x864" 75 108000 1152 1216 1344 1600 864 865 868 900 0x40 0x5
[    2.852212] [drm:drm_mode_debug_printmodeline] Modeline 77:"1280x720" 60 74250 1280 1390 1430 1650 720 725 730 750 0x40 0x5
[    2.852217] [drm:drm_mode_debug_printmodeline] Modeline 112:"1280x720" 60 74176 1280 1390 1430 1650 720 725 730 750 0x40 0x5
[    2.852222] [drm:drm_mode_debug_printmodeline] Modeline 102:"1280x720" 50 74250 1280 1720 1760 1980 720 725 730 750 0x40 0x5
[    2.852227] [drm:drm_mode_debug_printmodeline] Modeline 93:"1024x768" 75 78750 1024 1040 1136 1312 768 769 772 800 0x40 0x5
[    2.852231] [drm:drm_mode_debug_printmodeline] Modeline 94:"1024x768" 70 75000 1024 1048 1184 1328 768 771 777 806 0x40 0xa
[    2.852236] [drm:drm_mode_debug_printmodeline] Modeline 95:"1024x768" 60 65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa
[    2.852241] [drm:drm_mode_debug_printmodeline] Modeline 96:"832x624" 75 57284 832 864 928 1152 624 625 628 667 0x40 0xa
[    2.852246] [drm:drm_mode_debug_printmodeline] Modeline 97:"800x600" 75 49500 800 816 896 1056 600 601 604 625 0x40 0x5
[    2.852251] [drm:drm_mode_debug_printmodeline] Modeline 98:"800x600" 72 50000 800 856 976 1040 600 637 643 666 0x40 0x5
[    2.852255] [drm:drm_mode_debug_printmodeline] Modeline 85:"800x600" 60 40000 800 840 968 1056 600 601 605 628 0x40 0x5
[    2.852260] [drm:drm_mode_debug_printmodeline] Modeline 86:"800x600" 56 36000 800 824 896 1024 600 601 603 625 0x40 0x5
[    2.852265] [drm:drm_mode_debug_printmodeline] Modeline 100:"720x576" 50 27000 720 732 796 864 576 581 586 625 0x40 0xa
[    2.852270] [drm:drm_mode_debug_printmodeline] Modeline 114:"720x480" 60 27027 720 736 798 858 480 489 495 525 0x40 0xa
[    2.852274] [drm:drm_mode_debug_printmodeline] Modeline 101:"720x480" 60 27000 720 736 798 858 480 489 495 525 0x40 0xa
[    2.852279] [drm:drm_mode_debug_printmodeline] Modeline 87:"640x480" 75 31500 640 656 720 840 480 481 484 500 0x40 0xa
[    2.852284] [drm:drm_mode_debug_printmodeline] Modeline 88:"640x480" 73 31500 640 664 704 832 480 489 492 520 0x40 0xa
[    2.852288] [drm:drm_mode_debug_printmodeline] Modeline 89:"640x480" 67 30240 640 704 768 864 480 483 486 525 0x40 0xa
[    2.852293] [drm:drm_mode_debug_printmodeline] Modeline 113:"640x480" 60 25200 640 656 752 800 480 490 492 525 0x40 0xa
[    2.852298] [drm:drm_mode_debug_printmodeline] Modeline 90:"640x480" 60 25175 640 656 752 800 480 490 492 525 0x40 0xa
[    2.852303] [drm:drm_mode_debug_printmodeline] Modeline 91:"720x400" 70 28320 720 738 846 900 400 412 414 449 0x40 0x6
[    2.852306] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:52:HDMI-A-3]
[    2.852310] [drm:intel_hdmi_detect] [CONNECTOR:52:HDMI-A-3]
[    2.852571] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0050 w(1)
[    2.852578] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK on first message, retry
[    2.852916] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0050 w(1)
[    2.852927] [drm:drm_do_probe_ddc_edid] drm: skipping non-existent adapter i915 gmbus dpd
[    2.853240] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0040 w(1)
[    2.853243] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK on first message, retry
[    2.853543] [drm:do_gmbus_xfer] GMBUS [i915 gmbus dpd] NAK for addr: 0040 w(1)
[    2.853552] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:52:HDMI-A-3] status updated from unknown to disconnected
[    2.853556] [drm:drm_helper_probe_single_connector_modes] [CONNECTOR:52:HDMI-A-3] disconnected
[    2.853567] [drm:drm_setup_crtcs] 
[    2.853575] [drm:drm_enable_connectors] connector 37 enabled? yes
[    2.853578] [drm:drm_enable_connectors] connector 43 enabled? no
[    2.853582] [drm:drm_enable_connectors] connector 46 enabled? no
[    2.853585] [drm:drm_enable_connectors] connector 48 enabled? yes
[    2.853588] [drm:drm_enable_connectors] connector 52 enabled? no
[    2.853596] [drm:intel_fb_initial_config] looking for cmdline mode on connector DP-1
[    2.853599] [drm:intel_fb_initial_config] looking for preferred mode on connector DP-1 0
[    2.853607] [drm:intel_fb_initial_config] connector DP-1 on pipe A [CRTC:26]: 3840x2160
[    2.853612] [drm:intel_fb_initial_config] connector HDMI-A-1 not enabled, skipping
[    2.853617] [drm:intel_fb_initial_config] connector HDMI-A-2 not enabled, skipping
[    2.853622] [drm:intel_fb_initial_config] looking for cmdline mode on connector DP-2
[    2.853626] [drm:intel_fb_initial_config] looking for preferred mode on connector DP-2 0
[    2.853729] [drm:intel_fb_initial_config] connector DP-2 on pipe B [CRTC:30]: 3840x2160
[    2.853733] [drm:intel_fb_initial_config] connector HDMI-A-3 not enabled, skipping
[    2.853738] [drm:drm_setup_crtcs] desired mode 3840x2160 set on crtc 26 (0,0)
[    2.853742] [drm] Initialized i915 1.6.0 20160425 for 0000:00:02.0 on minor 0
Comment 4 Maarten Maathuis 2016-09-20 19:01:32 UTC
An interesting observation is that when plug the monitor into another system which has an older nvidia card using nouveau (only HDMI is available, card is too old for displayport).
It seems that the i2c connection is unreliable, sometimes more or less data is retrieved, but never all of it seems, and sometimes none.

I wonder if there is some sensitivity to i2c speed.

My general observation of these monitors is that they are slow to turn on on displayport (locking in a mode takes some time), but on hdmi it is faster, is there some kind of throttling going on the displayport side that is being ignored on the HDMI side?

[768542.009520] [drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 254
[768542.009561] Raw EDID:
[768542.009575]  	00 ff ff ff ff ff ff 00 4c 2d d0 0c 56 53 4d 30
[768542.009593]  	20 19 01 03 80 34 1d 78 2a 12 55 a9 54 4d 9f 25
[768542.009610]  	0c 50 54 bf ef 80 71 4f 81 00 81 c0 81 80 95 00
[768542.009626]  	a9 c0 b3 00 01 01 08 e8 00 30 f2 70 5a 80 b0 58
[768542.009642]  	8a 00 09 25 21 00 00 1e 00 00 00 fd 00 18 4b 1e
[768542.009658]  	87 3c 00 0a 20 20 20 20 20 20 00 00 00 fc 00 55
[768542.009678]  	32 34 45 38 35 30 0a 20 20 20 20 20 00 00 00 ff
[768542.009694]  	00 48 54 48 47 38 30 30 30 30 35 0a 20 20 07 ff
[768542.010899] nouveau 0000:01:00.0: DRM: DDC responded, but no EDID for HDMI-A-1
[768578.474150] [drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 157
[768578.474171] Raw EDID:
[768578.474178]  	00 ff ff ff ff ff ff 00 4c 2d d0 0c 56 53 4d 30
[768578.474187]  	20 19 01 03 80 34 1d 78 2a 12 55 a9 54 4d 9f 25
[768578.474195]  	0c 50 54 bf ef ff ff ff ff ff ff ff ff ff ff ff
[768578.474202]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[768578.474210]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[768578.474218]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[768578.474225]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[768578.474233]  	ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[768578.475264] nouveau 0000:01:00.0: DRM: DDC responded, but no EDID for HDMI-A-1
[768590.904774] [drm:drm_edid_block_valid [drm]] *ERROR* EDID checksum is invalid, remainder is 181
[768590.904813] Raw EDID:
[768590.904826]  	00 ff ff ff ff ff ff 00 4c 2d d0 0c 56 53 4d 30
[768590.904843]  	20 19 01 03 80 34 1d 78 2a 12 55 a9 54 4d 9f 25
[768590.904860]  	0c 50 54 bf ef 80 71 4f 81 00 81 c0 81 80 95 00
[768590.904876]  	a9 c0 b3 00 01 01 08 e8 00 30 f2 70 5a 80 b0 58
[768590.904892]  	8a 00 09 25 21 00 00 1e 00 00 00 fd 00 18 4b 1e
[768590.904908]  	87 3c 00 0a 20 20 20 20 20 20 00 00 00 fc 00 55
[768590.904924]  	32 34 45 38 35 30 0a 20 20 20 20 20 00 00 00 ff
[768590.904940]  	00 48 54 48 47 38 30 30 30 30 35 0b ff ff ff ff
[768590.906012] nouveau 0000:01:00.0: DRM: DDC responded, but no EDID for HDMI-A-1
Comment 5 Maarten Maathuis 2016-09-28 17:38:49 UTC
Any advice on how to get this bug picked up? Or any troubleshooting I can do myself?
Comment 6 Jani Nikula 2016-09-29 10:23:05 UTC
The patches to support the DP->HDMI 2.0 converter (aka LSPCON) are still in development. Sorry. There's a dupe bug about this somewhere but couldn't place it right now.
Comment 7 Maarten Maathuis 2016-10-01 11:19:08 UTC
I mentioned that the native HDMI port also doesn't hotplug detect the monitor.
Comment 8 Maarten Maathuis 2016-10-02 20:45:18 UTC
After some more analysis, using i2c-tools, i discovered the following:

The native HDMI port, is simply using the wrong gmbus.
It's trying to use "dpc" while it should be using "dpd".

As for the non-native HDMI, it seems to be simply slower.
get-edid on the HDMI port (monitor in standby) is a few times slower than for the monitor that is using DP (monitor is on).

This sort of correlates with my experience of this monitor, being a bit on the sensitive side with being detected while off.
Comment 9 Maarten Maathuis 2016-10-02 21:36:57 UTC
For the non-native HDMI, it may be good to know it is significantly slower than the DP one, more than I originally noticed.

It also triggers this codepath (which the native DP does not):

		case DP_AUX_NATIVE_REPLY_DEFER:
			DRM_DEBUG_KMS("native defer\n");
			/*
			 * We could check for I2C bit rate capabilities and if
			 * available adjust this interval. We could also be
			 * more careful with DP-to-legacy adapters where a
			 * long legacy cable may force very low I2C bit rates.
			 *
			 * For now just defer for long enough to hopefully be
			 * safe for all use-cases.
			 */
Comment 10 Maarten Maathuis 2016-10-02 22:05:27 UTC
Interestingly, using the dp_i2c helpers doesn't seem to cause the the timeout within intel_dp_aux_ch() function. More specifically, inside the intel_dp_aux_wait_done() function.

That suggests that the way the edid is being read (in smaller pieces?) is causing differences.

Btw, don't forget the native HDMI port problem.
Comment 11 Maarten Maathuis 2016-10-06 17:15:07 UTC
Poke, does anyone have an idea what could be going on here?

Both for the wrong gmbus channel for HDMI, and why the i2c helper can successfully read the EDID over HDMI2.0/DP port?
Comment 12 Ville Syrjala 2016-10-06 18:23:56 UTC
Please attach dmesg logs in the future. They're hard to read with bugzilla mangling them somewhat.

Anyways for the GMBUS mess, I'd like to see a copy of your /sys/kernel/debug/dri/0/i915_opregion attached.

And based on my hunch that the VBT would tell us the right pins to use, I cooked up the following branch that you may want to try:
git://github.com/vsyrjala/linux.git trust_vbt_ddc_aux_pins
Comment 13 Maarten Maathuis 2016-10-07 06:08:05 UTC
Created attachment 127083 [details]
/sys/kernel/debug/dri/0/i915_opregion

I will have a look at your branch later
Comment 14 Maarten Maathuis 2016-10-08 15:15:53 UTC
As you suspected this indeed fixes the wrong gmbus selection.
Any idea what it takes to get this into mainline? (since this doesn't seem entirely risk free)

For the record, the other connection maintains the same I2C related problems.
Comment 15 Ville Syrjala 2016-10-11 16:37:53 UTC
(In reply to Maarten Maathuis from comment #14)
> As you suspected this indeed fixes the wrong gmbus selection.
> Any idea what it takes to get this into mainline? (since this doesn't seem
> entirely risk free)

I think we'll just have to bite the bullet and trust the VBT on this one. My patches so far limit it to HSW+ platforms, which seems like the safe first step. I'll try to write some actual commit messages for the patches, and then send them out...

> 
> For the record, the other connection maintains the same I2C related problems.

That's the LSPCON (builtin DP->HDMI thing)? Imre had a branch I think...
https://github.com/ideak/linux/commits/lspcon
You may want to give that a go.
Comment 16 yann 2016-10-12 07:35:03 UTC
Reference to sumbitted Ville's patch set : https://patchwork.freedesktop.org/series/13600/
Comment 17 Ville Syrjala 2016-10-21 14:45:53 UTC
commit e4ab73a13291fc844c9e24d5c347bd95818544d2
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Tue Oct 11 20:52:46 2016 +0300

    drm/i915: Respect alternate_ddc_pin for all DDI ports

commit ff66212415e3240cb4f79a09b00a03dd56d48b16
Author: Shashank Sharma <shashank.sharma@intel.com>
Date:   Fri Oct 14 19:56:51 2016 +0530

    drm/i915: Enable lspcon initialization

I'm hoping we should be good now. Can you give the latest drm-intel-nightly to verify?
Comment 18 Maarten Maathuis 2016-10-21 17:26:57 UTC
I tried yesterday, and it didn't even boot, dumped me to a recovery terminal without functioning keyboard. Some kind of efi regression seems to have hit 4.9-rc1. For the sake of practicality I'm going to wait a moment, since there are signs people are already discovering the problem (https://lkml.org/lkml/2016/10/20/718).
Comment 19 Maarten Maathuis 2016-10-27 18:47:12 UTC
After figuring out my kernel loading hang was due to option DEBUG_TEST_DRIVER_REMOVE (which I will pursue separately), I am able to comfirm that the LSPCON connection is also working. I look forward to seeing this in mainline. Any idea on the timeframe?
Comment 20 Jani Nikula 2016-11-07 16:56:53 UTC
Seems to be fixed, closing.

"drm/i915: Respect alternate_ddc_pin for all DDI ports" will likely make it to 4.9-rc5.

"drm/i915: Enable lspcon initialization" will likely make it to v4.10-rc1.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.